### Virtual Method

# Gio ActionMap add_action

since: 2.32

#### Declaration [src]

    void
    add_action (
      GActionMap* action_map,
      GAction* action
    )

#### Description [src]

Adds an action to the `action_map`.

If the action map already contains an action with the same name as `action` then the old action is dropped from the action map.

The action map takes its own reference on `action`.

Available since: 2.32

#### Parameters

`action`

  Type: `GAction`

  A `GAction`.

  The data is owned by the caller of the method.